<?php require_once('Connections/cn.php'); ?>
<?php
 // Captura las variables que vienen de cargar_equivalencia.php.

  $periodo=$_GET["periodo"];
  $materia=$_GET["materia"];
  $carrera=$_GET["carrera"];
  $cedula=$_GET["cedula"];
  $seccion='-';
  
  // Obtiene el ID del alumno (id_alumno)
 $sql = "select annio from periodos where codigo='$periodo'";
 $rs=mysql_query($sql, $cn);
 $row = mysql_fetch_assoc($rs);	
 $reg=mysql_num_rows($rs);	
 if ($reg != 0){
	 $annio=$row1["annio"];
  }
  
  // Obtiene el ID del alumno (id_alumno)
 $sql = "select id_alumno from alumnos where cedula='$cedula' OR pasaporte='$cedula'";
 $rs=mysql_query($sql, $cn);
 $row = mysql_fetch_assoc($rs);	
 $reg=mysql_num_rows($rs);		
 if ($reg != 0){
	 $id_alumno=$row["id_alumno"];
  }
 
  mysql_select_db($database_cn, $cn);
  mysql_query ("SET NAMES 'utf8'");
  $sql="SELECT *  from historico_notas WHERE id_alumno='$id_alumno' and id_materia='$materia' and id_carrera='$carrera'";
  $rst = mysql_query($sql, $cn) or die(mysql_error());
  $registros = mysql_num_rows($rst);
  if($registros==0){
	 $aprobacion="EQUIVALENCIA";
     $nota=0;
	 $docente=0;
	 $fecha1 = explode("-",date("Y-m-d")); 
	 $fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	 $fecha_hoy = cambioFecha($fecha2); 
     $fecha_registro=join ("-",(array_reverse(split("-",$fecha_hoy)))) ;
	 $sql = "insert into `historico_notas` (`id_alumno`,`cedula`, `id_carrera`, `id_materia`, `id_docente`, `nota`, `seccion`, `periodo`, `sede`, `annio`, `aprobacion`,`fecha`) values ('$id_alumno', '$cedula', '$carrera','$materia', '$docente', '$nota', '$seccion', '$periodo','$sede','$annio','$aprobacion','$fecha_registro')";

     mysql_query($sql, $cn) or die(mysql_error());
     ?>
     <script type="text/javascript">
	      msj="Se procesó la equivalencia exitosamente";
	 	  alert(msj);
     </script>
     <?php
	 }
     else {
	 ?>
	 <script type="text/javascript">
	      msj="Equivalencia no procesada. Participante ya cursó la Unidad Curricular";
	 	  alert(msj);
     </script>
	 <?php
	 }
	 
	 
	 function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}     
	 ?> 